Get Shipping Addresses
GET /inboxes/{inbox_id}/shipping-addresses
Returns the shipping addresses associated with the given inbox.
Authorizations
Section titled “Authorizations”Send your API key in the x-api-key header.
See Authentication.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Query Parameters
Section titled “Query Parameters ”The desired page from the result set. Defaults to 1.
The number of items per page. Defaults to 100.
Responses
Section titled “ Responses ”Success
object
Total number of items across all pages.
15Number of items per page.
100The current page number (1-based).
1The last available page number.
1The index of the first item on this page (1-based).
1The index of the last item on this page (1-based).
15object
123456Molly Smith1004 S Mt Olive StPHOENIXAZArizonaUSUnited States72761[ "domestic"]Example
{ "current_page": 1, "data": [ { "id": 123456, "created_at": "2020-05-10T10:00:00Z", "updated_at": "2020-05-10T10:00:00Z", "address_line_1": "1004 S Mt Olive St", "address_line_2": "", "addressee": "Molly Smith", "company": "", "country": "United States", "country_abbreviation": "US", "delivery_confidence_percent": null, "inbox_id": 123456, "is_authorized": true, "locality": "PHOENIX", "phone": "(111) 111-1111", "postal_code": "72761", "region": "Arizona", "region_abbreviation": "AZ", "requires_hs_tariff_codes": false, "requires_itn": false, "tags": [ "domestic" ] } ], "from": 1, "last_page": 1, "per_page": 100, "to": 1, "total": 1}The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.
Error envelope returned with 4xx and 5xx responses.
object
object
Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.
401Human-readable description of the error.
The kind of error, for example Authorization or REST.
RESTReturned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.
object
Examples
{ "error": { "code": 401, "message": "The request does not include a valid access token. Please provide a valid access token.", "type": "Authorization" }}{ "error": { "code": 401, "message": "x-api-key: x-api-key is invalid", "type": "REST" }}{ "error": { "code": 401, "message": "User does not have access to requested resource.", "type": "Authorization" }}